"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAppIcon = exports.changeAppIcon = void 0;
var _reactNative = require("react-native");
const LINKING_ERROR = `The 'react-native-dynamic-icon-changer' package does not appear to be properly linked. Please ensure the following steps have been completed:\n\n` + _reactNative.Platform.select({
  ios: `- Run 'pod install' in the iOS project directory.\n- Make sure to rebuild the app after installation.\n`,
  android: `- Make sure the package is correctly installed in your build.gradle files.\n- Rebuild the app after installation.\n`,
  default: '- Ensure proper installation and rebuild the app.\n'
}) + `If the issue persists, consult the package's documentation or support resources.\n`;

// @ts-expect-error
const isTurboModuleEnabled = global.__turboModuleProxy != null;
const DynamicIconChangeModule = isTurboModuleEnabled ? require('./NativeDynamicIconChange').default : _reactNative.NativeModules.DynamicIconChange;
const DynamicIconChange = DynamicIconChangeModule ? DynamicIconChangeModule : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
const {
  getAppIcon,
  changeAppIcon
} = DynamicIconChange;
exports.changeAppIcon = changeAppIcon;
exports.getAppIcon = getAppIcon;
//# sourceMappingURL=index.js.map